Package org.gradle.api.artifacts.component

## Interface LibraryComponentSelector

- All Superinterfaces:
    `ComponentSelector`

      public interface LibraryComponentSelector
      extends ComponentSelector

  Criteria for selecting a library instance that is built as part of the current build.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLibraryName()` | Return the library name of the selected library.
    `String` | `getProjectPath()` | Return the project path of the selected library.
    `String` | `getVariant()` |

    - ### Methods inherited from interface org.gradle.api.artifacts.component.ComponentSelector

      `getAttributes, getDisplayName, getRequestedCapabilities, matchesStrictly`

- - ### Method Detail

    - #### getProjectPath

          String getProjectPath()

      Return the project path of the selected library.
      Returns:
        the project path of the library

    - #### getLibraryName

          @Nullable
          String getLibraryName()

      Return the library name of the selected library. If the library name is null then it is expected to find a single library defined in same project as the requesting component or dependency resolution will fail. If not `null` then the name will never be empty.
      Returns:
        the library name

    - #### getVariant

          @Nullable
          String getVariant()